require 'simplecov'
SimpleCov.start do
  add_filter 'test'
end
require 'minitest/autorun'
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'polynomials'

class MiniTest::Unit::TestCase
  include Polynomials
  def assert_set_eql(actual,computed)
    test = lambda do 
        actual.all? do |a|
          computed.any? do |c|
            a.eql?(c) && c.eql?(a)
          end
      end
    end
    assert test.call, "Expected #{actual.inspect}, not #{computed.inspect}"
  end
end
